--- bin/autoreconf.in.orig	2023-12-20 08:13:19
+++ bin/autoreconf.in	2024-02-22 09:09:11
@@ -119,12 +119,12 @@
 my $autoconf    = $ENV{'AUTOCONF'}    || '@bindir@/@autoconf-name@';
 my $autoheader  = $ENV{'AUTOHEADER'}  || '@bindir@/@autoheader-name@';
 my $autom4te    = $ENV{'AUTOM4TE'}    || '@bindir@/@autom4te-name@';
-my $automake    = $ENV{'AUTOMAKE'}    || 'automake';
-my $aclocal     = $ENV{'ACLOCAL'}     || 'aclocal';
-my $libtoolize  = $ENV{'LIBTOOLIZE'}  || 'libtoolize';
-my $intltoolize = $ENV{'INTLTOOLIZE'} || 'intltoolize';
-my $gtkdocize   = $ENV{'GTKDOCIZE'}   || 'gtkdocize';
-my $autopoint   = $ENV{'AUTOPOINT'}   || 'autopoint';
+my $automake    = $ENV{'AUTOMAKE'}    || '@bindir@/automake';
+my $aclocal     = $ENV{'ACLOCAL'}     || '@bindir@/aclocal';
+my $libtoolize  = $ENV{'LIBTOOLIZE'}  || '@bindir@/glibtoolize';
+my $intltoolize = $ENV{'INTLTOOLIZE'} || '@bindir@/intltoolize';
+my $gtkdocize   = $ENV{'GTKDOCIZE'}   || '@bindir@/gtkdocize';
+my $autopoint   = $ENV{'AUTOPOINT'}   || '@bindir@/autopoint';
 my $make        = $ENV{'MAKE'}        || 'make';
 
 # --install -- as --add-missing in other tools.
--- man/autoreconf.1.orig	2023-12-23 05:33:25
+++ man/autoreconf.1	2024-02-22 09:11:16
@@ -7,7 +7,7 @@
 [\fI\,OPTION\/\fR]... [\fI\,DIRECTORY\/\fR]...
 .SH DESCRIPTION
 Run 'autoconf' and, when needed, 'aclocal', 'autoheader', 'automake',
-\&'autopoint' (formerly 'gettextize'), 'libtoolize', 'intltoolize', and
+\&'autopoint' (formerly 'gettextize'), 'glibtoolize', 'intltoolize', and
 \&'gtkdocize' to regenerate the GNU Build System files in specified
 DIRECTORIES and their subdirectories (defaulting to '.').
 .PP
@@ -125,7 +125,7 @@
 .BR config.guess (1),
 .BR config.sub (1),
 .BR ifnames (1),
-.BR libtool (1).
+.BR glibtool (1).
 
 The full documentation for Autoconf is maintained as a Texinfo manual.
 To read the manual locally, use the command
--- tests/foreign.at.orig	2023-03-13 02:29:55
+++ tests/foreign.at	2024-02-22 09:08:22
@@ -26,12 +26,12 @@
 AT_SETUP([Libtool])
 
 # Skip this test if there is no libtoolize.
-AT_CHECK([libtoolize --version || exit 77],
+AT_CHECK([glibtoolize --version || exit 77],
 	 [ignore], [ignore], [ignore])
 # Modern Libtool has further tests for compatibility with older autoconf;
 # from the Autoconf side, we will merely assume newer libtool.
 AT_CHECK([[
-case `libtoolize --version |
+case `glibtoolize --version |
       sed -n '/^.* \([0-9][0-9.a-z]*\)$/{
 		s//\1/
 		p
@@ -50,7 +50,7 @@
 AC_CONFIG_AUX_DIR([.])
 AC_PROG_LIBTOOL
 ]])
-AT_CHECK([LC_ALL=C libtoolize -i], [0], [stdout], [ignore])
+AT_CHECK([LC_ALL=C glibtoolize -i], [0], [stdout], [ignore])
 
 # Some broken libtoolize fail to install a functional config.guess.
 AT_CHECK([LC_ALL=C ./config.guess || exit 77], [], [ignore], [ignore])
